<template>

  <Page>
    <ActionBar title="Events you created">
      <NavigationButton text="Go back" android.systemIcon="ic_menu_back" @tap="$navigateBack" />
    </ActionBar>
    <StackLayout >
      <ListView for="item in events" @itemTap="viewEvent">
        <v-template>
          <!-- Shows the list item label in the default color and style. -->
          <StackLayout class="card">
            <Label :text="item.name" />
            <Label :text="item.description" />
          </StackLayout>
        </v-template>
      </ListView>
    </StackLayout>
  </Page>
</template>

<script>
import { mapGetters } from 'vuex'
import ViewEventDetails from './ViewEventDetails'

  export default {
    data() {
      return {
        key: 'value'
        }
    },
    computed: {
      ...mapGetters({events: 'getUserEventsCreated', user: 'getUser'}),
    },
    created() {
    },
    methods: {
      viewEvent(event) {
        console.log(event.item.id)
        this.$navigateTo(ViewEventDetails, {
          props: {
            eventId: event.item.id
          }
        })
      },
    },
  }
</script>

<style scoped>
Label {
  color: black;
}
StackLayout {
  margin: 5rem;
  padding: 5rem;
}
.card {
  background-color: lightgray;
  border-radius: 2rem;
  border: 1rem black;
}
</style>